#include "../slim.h"
#include <string.h>
#include <stdio.h>
#include "../common/structs.h"
#include "../common/debug.h"

/* parses the incoming args...  this should be replaced with a
 * unix library later
 */

int get_scene_path(int argc, char** argv, char *path)
{
	strncpy( path, DEFAULT_SCENE, NAME_LENGTH);

	//no path argument
	if(argc == 1)
		printd(5, "warning- no scene given, reading \"%s\"\n", path);

	//get path
	else if(argc > 1)
		strncpy( path, argv[1], NAME_LENGTH);

   printd(2, "reading scene from: %s\n", path);

   return 1;
}
